This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "IPFire 2.x development tree".
The branch, fifteen has been updated
via 8dafd717bcbbc22d27d365134f31d9007a11111e (commit)
via 0206795e57d0b0f0caabec7de4efe54fff1bc6b5 (commit)
via 230eeac04df6b58407d087a211d9d4a096e0b97b (commit)
from 12f8cdd5895b4b87342c93247299984df5ef9a45 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 8dafd717bcbbc22d27d365134f31d9007a11111e
Author: Alexander Marx <amarx(a)ipfire.org>
Date: Fri Dec 27 11:09:34 2013 +0100
Firewall: remove old firewall scripts in update.sh
commit 0206795e57d0b0f0caabec7de4efe54fff1bc6b5
Author: Michael Tremer <michael.tremer(a)ipfire.org>
Date: Fri Dec 27 11:29:10 2013 +0100
sslh: Move binary to /usr/sbin.
commit 230eeac04df6b58407d087a211d9d4a096e0b97b
Author: Michael Tremer <michael.tremer(a)ipfire.org>
Date: Fri Dec 27 11:11:29 2013 +0100
sslh: Cleanup initscript.
Calling setxtaccess has been removed and never have been used
at this place.
Also, it is checked if the external IP address was properly
read from file.
-----------------------------------------------------------------------
Summary of changes:
config/rootfiles/core/fifteen/update.sh | 7 ++++++-
config/rootfiles/packages/sslh | 4 +---
lfs/sslh | 6 +++---
src/initscripts/init.d/sslh | 23 ++++++++++++-----------
4 files changed, 22 insertions(+), 18 deletions(-)
Difference in files:
diff --git a/config/rootfiles/core/fifteen/update.sh b/config/rootfiles/core/fifteen/update.sh
index 53c9f06..34cc913 100644
--- a/config/rootfiles/core/fifteen/update.sh
+++ b/config/rootfiles/core/fifteen/update.sh
@@ -49,13 +49,18 @@ rm -f /etc/rc.d/init.d/networking/red.up/22-outgoingfwctrl
rm -f /etc/rc.d/init.d/networking/red.up/25-portfw
rm -f /etc/rc.d/init.d/networking/red.up/26-xtaccess
+# Remove old firewallscripts
+rm -f /usr/local/bin/setportfw
+rm -f /usr/local/bin/setdmzholes
+rm -f /usr/local/bin/setxtaccess
+rm -f /usr/local/bin/outgoingfwctrl
+
# Remove old CGI files
rm -f /srv/web/ipfire/cgi-bin/{dmzholes,outgoingfw,portfw,xtaccess}.cgi
# Generate chains for new firewall
/sbin/iptables -N INPUTFW
/sbin/iptables -N FORWARDFW
-/sbin/iptables -N OUTGOINGFW
/sbin/iptables -N POLICYFWD
/sbin/iptables -N POLICYIN
/sbin/iptables -N POLICYOUT
diff --git a/config/rootfiles/packages/sslh b/config/rootfiles/packages/sslh
index c52d156..2c67aad 100644
--- a/config/rootfiles/packages/sslh
+++ b/config/rootfiles/packages/sslh
@@ -1,4 +1,2 @@
-usr/local/sbin/sslh
-#usr/local/share/man/man8/sslh.8.gz
etc/rc.d/init.d/sslh
-#usr/local/bin/sslh
+usr/sbin/sslh
diff --git a/lfs/sslh b/lfs/sslh
index e6f2ceb..f4201c3 100644
--- a/lfs/sslh
+++ b/lfs/sslh
@@ -32,7 +32,7 @@ DL_FROM = $(URL_IPFIRE)
DIR_APP = $(DIR_SRC)/$(THISAPP)
TARGET = $(DIR_INFO)/$(THISAPP)
PROG = sslh
-PAK_VER = 3
+PAK_VER = 4
DEPS = ""
@@ -77,7 +77,7 @@ $(subst %,%_MD5,$(objects)) :
$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
@$(PREBUILD)
@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
- cd $(DIR_APP) && make install
- cp $(DIR_APP)/sslh /usr/local/bin
+ cd $(DIR_APP) && make CFLAGS="$(CFLAGS)" $(MAKETUNING)
+ cd $(DIR_APP) && install -v -m 755 sslh /usr/sbin
@rm -rf $(DIR_APP)
@$(POSTBUILD)
diff --git a/src/initscripts/init.d/sslh b/src/initscripts/init.d/sslh
index 9c15213..43e58f3 100644
--- a/src/initscripts/init.d/sslh
+++ b/src/initscripts/init.d/sslh
@@ -4,29 +4,30 @@
# Based on sysklogd script from LFS-3.1 and earlier.
# Rewritten by Gerard Beekmans - gerard(a)linuxfromscratch.org
-#$LastChangedBy: bdubbs $
-#$Date: 2006-09-10 19:41:47 -0500 (Sun, 10 Sep 2006) $
-
. /etc/sysconfig/rc
. $rc_functions
case "$1" in
start)
boot_mesg "Starting SSLH Deamon..."
- loadproc /usr/local/bin/sslh -u nobody -p `cat /var/ipfire/red/local-ipaddress`:443 -s localhost:222 -l localhost:444
- evaluate_retval
- if ! grep -q "443:443" /var/ipfire/xtaccess/config ; then
- echo "tcp,0.0.0.0/0,443:443,on,0.0.0.0,SSLH" >> /var/ipfire/xtaccess/config
- /usr/local/bin/setxtaccess
+ LOCAL_IP_ADDRESS="$(</var/ipfire/red/local-ipaddress)"
+ if [ -z "${LOCAL_IP_ADDRESS}" ]; then
+ echo_failure
+ boot_mesg -n "FAILURE:\n\nCould not determine" ${FAILURE}
+ boot_mesg -n " your external IP address."
+ boot_mesg "" ${NORMAL}
+ exit 1
fi
-
+ loadproc /usr/sbin/sslh -u nobody \
+ -p "${LOCAL_IP_ADDRESS}:443" -s localhost:222 -l localhost:444
+ evaluate_retval
;;
stop)
boot_mesg "Stopping SSLH Deamon..."
- killproc /usr/local/bin/sslh
+ killproc /usr/sbin/sslh
evaluate_retval
;;
@@ -37,7 +38,7 @@ case "$1" in
;;
status)
- statusproc /usr/local/bin/sslh
+ statusproc /usr/sbin/sslh
;;
*)
hooks/post-receive
--
IPFire 2.x development tree